Changeset 1258 for ThirdParty/Mumps


Ignore:
Timestamp:
Apr 2, 2009 10:23:49 AM (11 years ago)
Author:
andreasw
Message:

synchronize stable/1.1 with trunk rev 1257

Location:
ThirdParty/Mumps/stable/1.1
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/stable/1.1

  • ThirdParty/Mumps/stable/1.1/Makefile.am

    r1194 r1258  
    4848DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    4949
    50 AM_CPPFLAGS = -DMUMPS_ARITH=MUMPS_ARITH_d \
     50AM_CPPFLAGS = \
    5151        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/src` \
    5252        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/libseq` \
  • ThirdParty/Mumps/stable/1.1/Makefile.in

    r1194 r1258  
    136136CDEFS = @CDEFS@
    137137CFLAGS = @CFLAGS@ $(MY_DEFS)
     138COIN_BUILD_BLAS_FALSE = @COIN_BUILD_BLAS_FALSE@
     139COIN_BUILD_BLAS_TRUE = @COIN_BUILD_BLAS_TRUE@
    138140COIN_BUILD_MUMPS_FALSE = @COIN_BUILD_MUMPS_FALSE@
    139141COIN_BUILD_MUMPS_TRUE = @COIN_BUILD_MUMPS_TRUE@
     142COIN_HAS_BLAS_FALSE = @COIN_HAS_BLAS_FALSE@
     143COIN_HAS_BLAS_TRUE = @COIN_HAS_BLAS_TRUE@
    140144COIN_HAS_MUMPS_FALSE = @COIN_HAS_MUMPS_FALSE@
    141145COIN_HAS_MUMPS_TRUE = @COIN_HAS_MUMPS_TRUE@
     
    295299
    296300DEFAULT_INCLUDES = -I. -I`$(CYGPATH_W) $(srcdir)`
    297 AM_CPPFLAGS = -DMUMPS_ARITH=MUMPS_ARITH_d \
     301AM_CPPFLAGS = \
    298302        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/src` \
    299303        -I`$(CYGPATH_W) $(srcdir)/$(MUMPSDIR)/libseq` \
  • ThirdParty/Mumps/stable/1.1/configure

    r1248 r1258  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_BUILD_BLAS_TRUE COIN_BUILD_BLAS_FALSE MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11021102  --with-tags[=TAGS]
    11031103                          include additional configurations [automatic]
     1104  --with-blas             specify BLAS library (or BUILD for compilation)
    11041105  --with-mumps-incdir specify the header file directory for library mumps
    11051106  --with-mumps-lib specify the flags used to link with the library mumps
     
    32913292
    32923293# Provide some information about the compiler.
    3293 echo "$as_me:3293:" \
     3294echo "$as_me:3294:" \
    32943295     "checking for Fortran 77 compiler version" >&5
    32953296ac_compiler=`set X $ac_compile; echo $2`
     
    38593860ac_save_FFLAGS=$FFLAGS
    38603861FFLAGS="$FFLAGS $ac_verb"
    3861 (eval echo $as_me:3861: \"$ac_link\") >&5
     3862(eval echo $as_me:3862: \"$ac_link\") >&5
    38623863ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38633864echo "$ac_f77_v_output" >&5
     
    39373938ac_save_FFLAGS=$FFLAGS
    39383939FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3939 (eval echo $as_me:3939: \"$ac_link\") >&5
     3940(eval echo $as_me:3940: \"$ac_link\") >&5
    39403941ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39413942echo "$ac_f77_v_output" >&5
     
    53705371
    53715372
    5372 MY_DEFS="$MY_DEFS -DALLOW_NON_INIT"
    5373 
     5373MY_DEFS="$MY_DEFS -DALLOW_NON_INIT -DMUMPS_ARITH=MUMPS_ARITH_d"
     5374
     5375
     5376echo "$as_me:$LINENO: checking for additional preprocessor C flags" >&5
     5377echo $ECHO_N "checking for additional preprocessor C flags... $ECHO_C" >&6
     5378echo "$as_me:$LINENO: result: $MY_DEFS" >&5
     5379echo "${ECHO_T}$MY_DEFS" >&6
    53745380
    53755381# Initialize automake
     
    69916997*-*-irix6*)
    69926998  # Find out which ABI we are using.
    6993   echo '#line 6993 "configure"' > conftest.$ac_ext
     6999  echo '#line 6999 "configure"' > conftest.$ac_ext
    69947000  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69957001  (eval $ac_compile) 2>&5
     
    89878993   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89888994   -e 's:$: $lt_compiler_flag:'`
    8989    (eval echo "\"\$as_me:8989: $lt_compile\"" >&5)
     8995   (eval echo "\"\$as_me:8995: $lt_compile\"" >&5)
    89908996   (eval "$lt_compile" 2>conftest.err)
    89918997   ac_status=$?
    89928998   cat conftest.err >&5
    8993    echo "$as_me:8993: \$? = $ac_status" >&5
     8999   echo "$as_me:8999: \$? = $ac_status" >&5
    89949000   if (exit $ac_status) && test -s "$ac_outfile"; then
    89959001     # The compiler can only warn and ignore the option if not recognized
     
    92559261   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    92569262   -e 's:$: $lt_compiler_flag:'`
    9257    (eval echo "\"\$as_me:9257: $lt_compile\"" >&5)
     9263   (eval echo "\"\$as_me:9263: $lt_compile\"" >&5)
    92589264   (eval "$lt_compile" 2>conftest.err)
    92599265   ac_status=$?
    92609266   cat conftest.err >&5
    9261    echo "$as_me:9261: \$? = $ac_status" >&5
     9267   echo "$as_me:9267: \$? = $ac_status" >&5
    92629268   if (exit $ac_status) && test -s "$ac_outfile"; then
    92639269     # The compiler can only warn and ignore the option if not recognized
     
    93599365   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93609366   -e 's:$: $lt_compiler_flag:'`
    9361    (eval echo "\"\$as_me:9361: $lt_compile\"" >&5)
     9367   (eval echo "\"\$as_me:9367: $lt_compile\"" >&5)
    93629368   (eval "$lt_compile" 2>out/conftest.err)
    93639369   ac_status=$?
    93649370   cat out/conftest.err >&5
    9365    echo "$as_me:9365: \$? = $ac_status" >&5
     9371   echo "$as_me:9371: \$? = $ac_status" >&5
    93669372   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    93679373   then
     
    1177611782  lt_status=$lt_dlunknown
    1177711783  cat > conftest.$ac_ext <<EOF
    11778 #line 11778 "configure"
     11784#line 11784 "configure"
    1177911785#include "confdefs.h"
    1178011786
     
    1187611882  lt_status=$lt_dlunknown
    1187711883  cat > conftest.$ac_ext <<EOF
    11878 #line 11878 "configure"
     11884#line 11884 "configure"
    1187911885#include "confdefs.h"
    1188011886
     
    1423614242   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1423714243   -e 's:$: $lt_compiler_flag:'`
    14238    (eval echo "\"\$as_me:14238: $lt_compile\"" >&5)
     14244   (eval echo "\"\$as_me:14244: $lt_compile\"" >&5)
    1423914245   (eval "$lt_compile" 2>conftest.err)
    1424014246   ac_status=$?
    1424114247   cat conftest.err >&5
    14242    echo "$as_me:14242: \$? = $ac_status" >&5
     14248   echo "$as_me:14248: \$? = $ac_status" >&5
    1424314249   if (exit $ac_status) && test -s "$ac_outfile"; then
    1424414250     # The compiler can only warn and ignore the option if not recognized
     
    1434014346   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1434114347   -e 's:$: $lt_compiler_flag:'`
    14342    (eval echo "\"\$as_me:14342: $lt_compile\"" >&5)
     14348   (eval echo "\"\$as_me:14348: $lt_compile\"" >&5)
    1434314349   (eval "$lt_compile" 2>out/conftest.err)
    1434414350   ac_status=$?
    1434514351   cat out/conftest.err >&5
    14346    echo "$as_me:14346: \$? = $ac_status" >&5
     14352   echo "$as_me:14352: \$? = $ac_status" >&5
    1434714353   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1434814354   then
     
    1591015916   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1591115917   -e 's:$: $lt_compiler_flag:'`
    15912    (eval echo "\"\$as_me:15912: $lt_compile\"" >&5)
     15918   (eval echo "\"\$as_me:15918: $lt_compile\"" >&5)
    1591315919   (eval "$lt_compile" 2>conftest.err)
    1591415920   ac_status=$?
    1591515921   cat conftest.err >&5
    15916    echo "$as_me:15916: \$? = $ac_status" >&5
     15922   echo "$as_me:15922: \$? = $ac_status" >&5
    1591715923   if (exit $ac_status) && test -s "$ac_outfile"; then
    1591815924     # The compiler can only warn and ignore the option if not recognized
     
    1601416020   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1601516021   -e 's:$: $lt_compiler_flag:'`
    16016    (eval echo "\"\$as_me:16016: $lt_compile\"" >&5)
     16022   (eval echo "\"\$as_me:16022: $lt_compile\"" >&5)
    1601716023   (eval "$lt_compile" 2>out/conftest.err)
    1601816024   ac_status=$?
    1601916025   cat out/conftest.err >&5
    16020    echo "$as_me:16020: \$? = $ac_status" >&5
     16026   echo "$as_me:16026: \$? = $ac_status" >&5
    1602116027   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1602216028   then
     
    1822118227   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1822218228   -e 's:$: $lt_compiler_flag:'`
    18223    (eval echo "\"\$as_me:18223: $lt_compile\"" >&5)
     18229   (eval echo "\"\$as_me:18229: $lt_compile\"" >&5)
    1822418230   (eval "$lt_compile" 2>conftest.err)
    1822518231   ac_status=$?
    1822618232   cat conftest.err >&5
    18227    echo "$as_me:18227: \$? = $ac_status" >&5
     18233   echo "$as_me:18233: \$? = $ac_status" >&5
    1822818234   if (exit $ac_status) && test -s "$ac_outfile"; then
    1822918235     # The compiler can only warn and ignore the option if not recognized
     
    1848918495   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1849018496   -e 's:$: $lt_compiler_flag:'`
    18491    (eval echo "\"\$as_me:18491: $lt_compile\"" >&5)
     18497   (eval echo "\"\$as_me:18497: $lt_compile\"" >&5)
    1849218498   (eval "$lt_compile" 2>conftest.err)
    1849318499   ac_status=$?
    1849418500   cat conftest.err >&5
    18495    echo "$as_me:18495: \$? = $ac_status" >&5
     18501   echo "$as_me:18501: \$? = $ac_status" >&5
    1849618502   if (exit $ac_status) && test -s "$ac_outfile"; then
    1849718503     # The compiler can only warn and ignore the option if not recognized
     
    1859318599   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1859418600   -e 's:$: $lt_compiler_flag:'`
    18595    (eval echo "\"\$as_me:18595: $lt_compile\"" >&5)
     18601   (eval echo "\"\$as_me:18601: $lt_compile\"" >&5)
    1859618602   (eval "$lt_compile" 2>out/conftest.err)
    1859718603   ac_status=$?
    1859818604   cat out/conftest.err >&5
    18599    echo "$as_me:18599: \$? = $ac_status" >&5
     18605   echo "$as_me:18605: \$? = $ac_status" >&5
    1860018606   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1860118607   then
     
    2149821504}
    2149921505
     21506# Check for user-provided BLAS library
     21507if test "$PACKAGE_NAME" = ThirdPartyBlas || test "$PACKAGE_NAME" = ThirdPartyLapack || test "$PACKAGE_NAME" = ThirdPartyMumps; then
     21508  coin_blasobjdir=../Blas
     21509else
     21510  coin_blasobjdir=../ThirdParty/Blas
     21511fi
     21512coin_blassrcdir=$srcdir/$coin_blasobjdir
     21513
     21514
     21515# Check whether --with-blas or --without-blas was given.
     21516if test "${with_blas+set}" = set; then
     21517  withval="$with_blas"
     21518  use_blas=$withval
     21519else
     21520  use_blas=
     21521fi;
     21522
     21523MAKEOKFILE=.MakeOk
     21524# Check if user supplied option makes sense
     21525if test x"$use_blas" != x; then
     21526  if test "$use_blas" = "BUILD"; then
     21527    # Don't check for course code if this is executed in ThirdParty/Blas
     21528    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     21529      if test -r $coin_blasobjdir/.MakeOk; then :; else
     21530        { { echo "$as_me:$LINENO: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&5
     21531echo "$as_me: error: option \"BUILD\" specified for Blas, but $coin_blasobjdir directory is not properly configured" >&2;}
     21532   { (exit 1); exit 1; }; }
     21533      fi
     21534    fi
     21535  elif test "$use_blas" != no ; then
     21536    echo "$as_me:$LINENO: checking whether user supplied BLASLIB=\"$use_blas\" works" >&5
     21537echo $ECHO_N "checking whether user supplied BLASLIB=\"$use_blas\" works... $ECHO_C" >&6
     21538    LIBS="$use_blas $LIBS"
     21539    ADDLIBS="$use_blas $ADDLIBS"
     21540    case $ac_ext in
     21541  f)
     21542    cat >conftest.$ac_ext <<_ACEOF
     21543/* confdefs.h.  */
     21544_ACEOF
     21545cat confdefs.h >>conftest.$ac_ext
     21546cat >>conftest.$ac_ext <<_ACEOF
     21547/* end confdefs.h.  */
     21548
     21549#ifdef F77_DUMMY_MAIN
     21550
     21551#  ifdef __cplusplus
     21552     extern "C"
     21553#  endif
     21554   int F77_DUMMY_MAIN() { return 1; }
     21555
     21556#endif
     21557int
     21558main ()
     21559{
     21560      call daxpy
     21561  ;
     21562  return 0;
     21563}
     21564_ACEOF
     21565rm -f conftest.$ac_objext conftest$ac_exeext
     21566if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21567  (eval $ac_link) 2>conftest.er1
     21568  ac_status=$?
     21569  grep -v '^ *+' conftest.er1 >conftest.err
     21570  rm -f conftest.er1
     21571  cat conftest.err >&5
     21572  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21573  (exit $ac_status); } &&
     21574         { ac_try='test -z "$ac_c_werror_flag"
     21575                         || test ! -s conftest.err'
     21576  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21577  (eval $ac_try) 2>&5
     21578  ac_status=$?
     21579  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21580  (exit $ac_status); }; } &&
     21581         { ac_try='test -s conftest$ac_exeext'
     21582  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21583  (eval $ac_try) 2>&5
     21584  ac_status=$?
     21585  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21586  (exit $ac_status); }; }; then
     21587  echo "$as_me:$LINENO: result: yes" >&5
     21588echo "${ECHO_T}yes" >&6
     21589else
     21590  echo "$as_me: failed program was:" >&5
     21591sed 's/^/| /' conftest.$ac_ext >&5
     21592
     21593echo "$as_me:$LINENO: result: no" >&5
     21594echo "${ECHO_T}no" >&6
     21595                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21596echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21597   { (exit 1); exit 1; }; }
     21598fi
     21599rm -f conftest.err conftest.$ac_objext \
     21600      conftest$ac_exeext conftest.$ac_ext
     21601    ;;
     21602  c)
     21603    ac_ext=f
     21604ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21605ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21606ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21607case $ac_cv_f77_mangling in
     21608  upper*) ac_val="DAXPY" ;;
     21609  lower*) ac_val="daxpy" ;;
     21610  *)      ac_val="unknown" ;;
     21611esac
     21612case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21613
     21614cfuncdaxpy="$ac_val"
     21615
     21616ac_ext=c
     21617ac_cpp='$CPP $CPPFLAGS'
     21618ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21619ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21620ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21621
     21622    if test x"$coin_need_flibs" = xyes; then
     21623      flink_try=no;
     21624    else
     21625      cat >conftest.$ac_ext <<_ACEOF
     21626/* confdefs.h.  */
     21627_ACEOF
     21628cat confdefs.h >>conftest.$ac_ext
     21629cat >>conftest.$ac_ext <<_ACEOF
     21630/* end confdefs.h.  */
     21631void $cfuncdaxpy();
     21632#ifdef F77_DUMMY_MAIN
     21633
     21634#  ifdef __cplusplus
     21635     extern "C"
     21636#  endif
     21637   int F77_DUMMY_MAIN() { return 1; }
     21638
     21639#endif
     21640int
     21641main ()
     21642{
     21643$cfuncdaxpy()
     21644  ;
     21645  return 0;
     21646}
     21647_ACEOF
     21648rm -f conftest.$ac_objext conftest$ac_exeext
     21649if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21650  (eval $ac_link) 2>conftest.er1
     21651  ac_status=$?
     21652  grep -v '^ *+' conftest.er1 >conftest.err
     21653  rm -f conftest.er1
     21654  cat conftest.err >&5
     21655  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21656  (exit $ac_status); } &&
     21657         { ac_try='test -z "$ac_c_werror_flag"
     21658                         || test ! -s conftest.err'
     21659  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21660  (eval $ac_try) 2>&5
     21661  ac_status=$?
     21662  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21663  (exit $ac_status); }; } &&
     21664         { ac_try='test -s conftest$ac_exeext'
     21665  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21666  (eval $ac_try) 2>&5
     21667  ac_status=$?
     21668  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21669  (exit $ac_status); }; }; then
     21670  flink_try=yes
     21671else
     21672  echo "$as_me: failed program was:" >&5
     21673sed 's/^/| /' conftest.$ac_ext >&5
     21674
     21675flink_try=no
     21676fi
     21677rm -f conftest.err conftest.$ac_objext \
     21678      conftest$ac_exeext conftest.$ac_ext
     21679    fi
     21680    if test $flink_try = yes; then
     21681      echo "$as_me:$LINENO: result: yes" >&5
     21682echo "${ECHO_T}yes" >&6
     21683    else
     21684      if test x"$FLIBS" != x; then
     21685        flink_save_libs="$LIBS"
     21686        LIBS="$LIBS $FLIBS"
     21687        cat >conftest.$ac_ext <<_ACEOF
     21688/* confdefs.h.  */
     21689_ACEOF
     21690cat confdefs.h >>conftest.$ac_ext
     21691cat >>conftest.$ac_ext <<_ACEOF
     21692/* end confdefs.h.  */
     21693void $cfuncdaxpy();
     21694#ifdef F77_DUMMY_MAIN
     21695
     21696#  ifdef __cplusplus
     21697     extern "C"
     21698#  endif
     21699   int F77_DUMMY_MAIN() { return 1; }
     21700
     21701#endif
     21702int
     21703main ()
     21704{
     21705$cfuncdaxpy()
     21706  ;
     21707  return 0;
     21708}
     21709_ACEOF
     21710rm -f conftest.$ac_objext conftest$ac_exeext
     21711if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21712  (eval $ac_link) 2>conftest.er1
     21713  ac_status=$?
     21714  grep -v '^ *+' conftest.er1 >conftest.err
     21715  rm -f conftest.er1
     21716  cat conftest.err >&5
     21717  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21718  (exit $ac_status); } &&
     21719         { ac_try='test -z "$ac_c_werror_flag"
     21720                         || test ! -s conftest.err'
     21721  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21722  (eval $ac_try) 2>&5
     21723  ac_status=$?
     21724  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21725  (exit $ac_status); }; } &&
     21726         { ac_try='test -s conftest$ac_exeext'
     21727  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21728  (eval $ac_try) 2>&5
     21729  ac_status=$?
     21730  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21731  (exit $ac_status); }; }; then
     21732  LIBS="$flink_save_libs"
     21733                     echo "$as_me:$LINENO: result: yes" >&5
     21734echo "${ECHO_T}yes" >&6
     21735                     coin_need_flibs=yes
     21736else
     21737  echo "$as_me: failed program was:" >&5
     21738sed 's/^/| /' conftest.$ac_ext >&5
     21739
     21740LIBS="$flink_save_libs"
     21741                     echo "$as_me:$LINENO: result: no" >&5
     21742echo "${ECHO_T}no" >&6
     21743                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21744echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21745   { (exit 1); exit 1; }; }
     21746fi
     21747rm -f conftest.err conftest.$ac_objext \
     21748      conftest$ac_exeext conftest.$ac_ext
     21749      else
     21750        echo "$as_me:$LINENO: result: no" >&5
     21751echo "${ECHO_T}no" >&6
     21752                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21753echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21754   { (exit 1); exit 1; }; }
     21755      fi
     21756    fi
     21757    ;;
     21758  cc|cpp)
     21759    ac_ext=f
     21760ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21761ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21762ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21763case $ac_cv_f77_mangling in
     21764  upper*) ac_val="DAXPY" ;;
     21765  lower*) ac_val="daxpy" ;;
     21766  *)      ac_val="unknown" ;;
     21767esac
     21768case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     21769
     21770cfuncdaxpy="$ac_val"
     21771
     21772ac_ext=c
     21773ac_cpp='$CPP $CPPFLAGS'
     21774ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21775ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21776ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21777
     21778    if test x"$coin_need_flibs" = xyes; then
     21779      flink_try=no;
     21780    else
     21781      cat >conftest.$ac_ext <<_ACEOF
     21782/* confdefs.h.  */
     21783_ACEOF
     21784cat confdefs.h >>conftest.$ac_ext
     21785cat >>conftest.$ac_ext <<_ACEOF
     21786/* end confdefs.h.  */
     21787extern "C" {void $cfuncdaxpy();}
     21788#ifdef F77_DUMMY_MAIN
     21789
     21790#  ifdef __cplusplus
     21791     extern "C"
     21792#  endif
     21793   int F77_DUMMY_MAIN() { return 1; }
     21794
     21795#endif
     21796int
     21797main ()
     21798{
     21799$cfuncdaxpy()
     21800  ;
     21801  return 0;
     21802}
     21803_ACEOF
     21804rm -f conftest.$ac_objext conftest$ac_exeext
     21805if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21806  (eval $ac_link) 2>conftest.er1
     21807  ac_status=$?
     21808  grep -v '^ *+' conftest.er1 >conftest.err
     21809  rm -f conftest.er1
     21810  cat conftest.err >&5
     21811  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21812  (exit $ac_status); } &&
     21813         { ac_try='test -z "$ac_c_werror_flag"
     21814                         || test ! -s conftest.err'
     21815  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21816  (eval $ac_try) 2>&5
     21817  ac_status=$?
     21818  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21819  (exit $ac_status); }; } &&
     21820         { ac_try='test -s conftest$ac_exeext'
     21821  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21822  (eval $ac_try) 2>&5
     21823  ac_status=$?
     21824  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21825  (exit $ac_status); }; }; then
     21826  flink_try=yes
     21827else
     21828  echo "$as_me: failed program was:" >&5
     21829sed 's/^/| /' conftest.$ac_ext >&5
     21830
     21831flink_try=no
     21832fi
     21833rm -f conftest.err conftest.$ac_objext \
     21834      conftest$ac_exeext conftest.$ac_ext
     21835    fi
     21836    if test $flink_try = yes; then
     21837      echo "$as_me:$LINENO: result: yes" >&5
     21838echo "${ECHO_T}yes" >&6
     21839    else
     21840      if test x"$FLIBS" != x; then
     21841        flink_save_libs="$LIBS"
     21842        LIBS="$LIBS $FLIBS"
     21843        cat >conftest.$ac_ext <<_ACEOF
     21844/* confdefs.h.  */
     21845_ACEOF
     21846cat confdefs.h >>conftest.$ac_ext
     21847cat >>conftest.$ac_ext <<_ACEOF
     21848/* end confdefs.h.  */
     21849extern "C" {void $cfuncdaxpy();}
     21850#ifdef F77_DUMMY_MAIN
     21851
     21852#  ifdef __cplusplus
     21853     extern "C"
     21854#  endif
     21855   int F77_DUMMY_MAIN() { return 1; }
     21856
     21857#endif
     21858int
     21859main ()
     21860{
     21861$cfuncdaxpy()
     21862  ;
     21863  return 0;
     21864}
     21865_ACEOF
     21866rm -f conftest.$ac_objext conftest$ac_exeext
     21867if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21868  (eval $ac_link) 2>conftest.er1
     21869  ac_status=$?
     21870  grep -v '^ *+' conftest.er1 >conftest.err
     21871  rm -f conftest.er1
     21872  cat conftest.err >&5
     21873  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21874  (exit $ac_status); } &&
     21875         { ac_try='test -z "$ac_c_werror_flag"
     21876                         || test ! -s conftest.err'
     21877  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21878  (eval $ac_try) 2>&5
     21879  ac_status=$?
     21880  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21881  (exit $ac_status); }; } &&
     21882         { ac_try='test -s conftest$ac_exeext'
     21883  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21884  (eval $ac_try) 2>&5
     21885  ac_status=$?
     21886  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21887  (exit $ac_status); }; }; then
     21888  LIBS="$flink_save_libs"
     21889                     echo "$as_me:$LINENO: result: yes" >&5
     21890echo "${ECHO_T}yes" >&6
     21891                     coin_need_flibs=yes
     21892else
     21893  echo "$as_me: failed program was:" >&5
     21894sed 's/^/| /' conftest.$ac_ext >&5
     21895
     21896LIBS="$flink_save_libs"
     21897                     echo "$as_me:$LINENO: result: no" >&5
     21898echo "${ECHO_T}no" >&6
     21899                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21900echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21901   { (exit 1); exit 1; }; }
     21902fi
     21903rm -f conftest.err conftest.$ac_objext \
     21904      conftest$ac_exeext conftest.$ac_ext
     21905      else
     21906        echo "$as_me:$LINENO: result: no" >&5
     21907echo "${ECHO_T}no" >&6
     21908                       { { echo "$as_me:$LINENO: error: user supplied BLAS library \"$use_blas\" does not work" >&5
     21909echo "$as_me: error: user supplied BLAS library \"$use_blas\" does not work" >&2;}
     21910   { (exit 1); exit 1; }; }
     21911      fi
     21912    fi
     21913    ;;
     21914esac
     21915
     21916  fi
     21917else
     21918# Try to autodetect the library for blas based on build system
     21919  #AC_MSG_CHECKING([default locations for BLAS])
     21920  skip_lblas_check=no
     21921  case $build in
     21922    *-sgi-*)
     21923      SAVE_LIBS="$LIBS"
     21924      echo "$as_me:$LINENO: checking whether -lcomplib.sgimath has BLAS" >&5
     21925echo $ECHO_N "checking whether -lcomplib.sgimath has BLAS... $ECHO_C" >&6
     21926      LIBS="-lcomplib.sgimath $LIBS"
     21927      case $ac_ext in
     21928  f)
     21929    cat >conftest.$ac_ext <<_ACEOF
     21930/* confdefs.h.  */
     21931_ACEOF
     21932cat confdefs.h >>conftest.$ac_ext
     21933cat >>conftest.$ac_ext <<_ACEOF
     21934/* end confdefs.h.  */
     21935
     21936#ifdef F77_DUMMY_MAIN
     21937
     21938#  ifdef __cplusplus
     21939     extern "C"
     21940#  endif
     21941   int F77_DUMMY_MAIN() { return 1; }
     21942
     21943#endif
     21944int
     21945main ()
     21946{
     21947      call daxpy
     21948  ;
     21949  return 0;
     21950}
     21951_ACEOF
     21952rm -f conftest.$ac_objext conftest$ac_exeext
     21953if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21954  (eval $ac_link) 2>conftest.er1
     21955  ac_status=$?
     21956  grep -v '^ *+' conftest.er1 >conftest.err
     21957  rm -f conftest.er1
     21958  cat conftest.err >&5
     21959  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21960  (exit $ac_status); } &&
     21961         { ac_try='test -z "$ac_c_werror_flag"
     21962                         || test ! -s conftest.err'
     21963  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21964  (eval $ac_try) 2>&5
     21965  ac_status=$?
     21966  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21967  (exit $ac_status); }; } &&
     21968         { ac_try='test -s conftest$ac_exeext'
     21969  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21970  (eval $ac_try) 2>&5
     21971  ac_status=$?
     21972  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21973  (exit $ac_status); }; }; then
     21974  echo "$as_me:$LINENO: result: yes" >&5
     21975echo "${ECHO_T}yes" >&6
     21976                         use_blas=-lcomplib.sgimath;
     21977                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     21978else
     21979  echo "$as_me: failed program was:" >&5
     21980sed 's/^/| /' conftest.$ac_ext >&5
     21981
     21982echo "$as_me:$LINENO: result: no" >&5
     21983echo "${ECHO_T}no" >&6
     21984                         SAVE_LIBS="$LIBS"
     21985fi
     21986rm -f conftest.err conftest.$ac_objext \
     21987      conftest$ac_exeext conftest.$ac_ext
     21988    ;;
     21989  c)
     21990    ac_ext=f
     21991ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     21992ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21993ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     21994case $ac_cv_f77_mangling in
     21995  upper*) ac_val="DAXPY" ;;
     21996  lower*) ac_val="daxpy" ;;
     21997  *)      ac_val="unknown" ;;
     21998esac
     21999case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22000
     22001cfuncdaxpy="$ac_val"
     22002
     22003ac_ext=c
     22004ac_cpp='$CPP $CPPFLAGS'
     22005ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22006ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22007ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22008
     22009    if test x"$coin_need_flibs" = xyes; then
     22010      flink_try=no;
     22011    else
     22012      cat >conftest.$ac_ext <<_ACEOF
     22013/* confdefs.h.  */
     22014_ACEOF
     22015cat confdefs.h >>conftest.$ac_ext
     22016cat >>conftest.$ac_ext <<_ACEOF
     22017/* end confdefs.h.  */
     22018void $cfuncdaxpy();
     22019#ifdef F77_DUMMY_MAIN
     22020
     22021#  ifdef __cplusplus
     22022     extern "C"
     22023#  endif
     22024   int F77_DUMMY_MAIN() { return 1; }
     22025
     22026#endif
     22027int
     22028main ()
     22029{
     22030$cfuncdaxpy()
     22031  ;
     22032  return 0;
     22033}
     22034_ACEOF
     22035rm -f conftest.$ac_objext conftest$ac_exeext
     22036if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22037  (eval $ac_link) 2>conftest.er1
     22038  ac_status=$?
     22039  grep -v '^ *+' conftest.er1 >conftest.err
     22040  rm -f conftest.er1
     22041  cat conftest.err >&5
     22042  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22043  (exit $ac_status); } &&
     22044         { ac_try='test -z "$ac_c_werror_flag"
     22045                         || test ! -s conftest.err'
     22046  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22047  (eval $ac_try) 2>&5
     22048  ac_status=$?
     22049  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22050  (exit $ac_status); }; } &&
     22051         { ac_try='test -s conftest$ac_exeext'
     22052  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22053  (eval $ac_try) 2>&5
     22054  ac_status=$?
     22055  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22056  (exit $ac_status); }; }; then
     22057  flink_try=yes
     22058else
     22059  echo "$as_me: failed program was:" >&5
     22060sed 's/^/| /' conftest.$ac_ext >&5
     22061
     22062flink_try=no
     22063fi
     22064rm -f conftest.err conftest.$ac_objext \
     22065      conftest$ac_exeext conftest.$ac_ext
     22066    fi
     22067    if test $flink_try = yes; then
     22068      echo "$as_me:$LINENO: result: yes" >&5
     22069echo "${ECHO_T}yes" >&6
     22070                         use_blas=-lcomplib.sgimath;
     22071                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22072    else
     22073      if test x"$FLIBS" != x; then
     22074        flink_save_libs="$LIBS"
     22075        LIBS="$LIBS $FLIBS"
     22076        cat >conftest.$ac_ext <<_ACEOF
     22077/* confdefs.h.  */
     22078_ACEOF
     22079cat confdefs.h >>conftest.$ac_ext
     22080cat >>conftest.$ac_ext <<_ACEOF
     22081/* end confdefs.h.  */
     22082void $cfuncdaxpy();
     22083#ifdef F77_DUMMY_MAIN
     22084
     22085#  ifdef __cplusplus
     22086     extern "C"
     22087#  endif
     22088   int F77_DUMMY_MAIN() { return 1; }
     22089
     22090#endif
     22091int
     22092main ()
     22093{
     22094$cfuncdaxpy()
     22095  ;
     22096  return 0;
     22097}
     22098_ACEOF
     22099rm -f conftest.$ac_objext conftest$ac_exeext
     22100if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22101  (eval $ac_link) 2>conftest.er1
     22102  ac_status=$?
     22103  grep -v '^ *+' conftest.er1 >conftest.err
     22104  rm -f conftest.er1
     22105  cat conftest.err >&5
     22106  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22107  (exit $ac_status); } &&
     22108         { ac_try='test -z "$ac_c_werror_flag"
     22109                         || test ! -s conftest.err'
     22110  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22111  (eval $ac_try) 2>&5
     22112  ac_status=$?
     22113  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22114  (exit $ac_status); }; } &&
     22115         { ac_try='test -s conftest$ac_exeext'
     22116  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22117  (eval $ac_try) 2>&5
     22118  ac_status=$?
     22119  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22120  (exit $ac_status); }; }; then
     22121  LIBS="$flink_save_libs"
     22122                     echo "$as_me:$LINENO: result: yes" >&5
     22123echo "${ECHO_T}yes" >&6
     22124                         use_blas=-lcomplib.sgimath;
     22125                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22126                     coin_need_flibs=yes
     22127else
     22128  echo "$as_me: failed program was:" >&5
     22129sed 's/^/| /' conftest.$ac_ext >&5
     22130
     22131LIBS="$flink_save_libs"
     22132                     echo "$as_me:$LINENO: result: no" >&5
     22133echo "${ECHO_T}no" >&6
     22134                         SAVE_LIBS="$LIBS"
     22135fi
     22136rm -f conftest.err conftest.$ac_objext \
     22137      conftest$ac_exeext conftest.$ac_ext
     22138      else
     22139        echo "$as_me:$LINENO: result: no" >&5
     22140echo "${ECHO_T}no" >&6
     22141                         SAVE_LIBS="$LIBS"
     22142      fi
     22143    fi
     22144    ;;
     22145  cc|cpp)
     22146    ac_ext=f
     22147ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22148ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22149ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22150case $ac_cv_f77_mangling in
     22151  upper*) ac_val="DAXPY" ;;
     22152  lower*) ac_val="daxpy" ;;
     22153  *)      ac_val="unknown" ;;
     22154esac
     22155case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22156
     22157cfuncdaxpy="$ac_val"
     22158
     22159ac_ext=c
     22160ac_cpp='$CPP $CPPFLAGS'
     22161ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22162ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22163ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22164
     22165    if test x"$coin_need_flibs" = xyes; then
     22166      flink_try=no;
     22167    else
     22168      cat >conftest.$ac_ext <<_ACEOF
     22169/* confdefs.h.  */
     22170_ACEOF
     22171cat confdefs.h >>conftest.$ac_ext
     22172cat >>conftest.$ac_ext <<_ACEOF
     22173/* end confdefs.h.  */
     22174extern "C" {void $cfuncdaxpy();}
     22175#ifdef F77_DUMMY_MAIN
     22176
     22177#  ifdef __cplusplus
     22178     extern "C"
     22179#  endif
     22180   int F77_DUMMY_MAIN() { return 1; }
     22181
     22182#endif
     22183int
     22184main ()
     22185{
     22186$cfuncdaxpy()
     22187  ;
     22188  return 0;
     22189}
     22190_ACEOF
     22191rm -f conftest.$ac_objext conftest$ac_exeext
     22192if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22193  (eval $ac_link) 2>conftest.er1
     22194  ac_status=$?
     22195  grep -v '^ *+' conftest.er1 >conftest.err
     22196  rm -f conftest.er1
     22197  cat conftest.err >&5
     22198  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22199  (exit $ac_status); } &&
     22200         { ac_try='test -z "$ac_c_werror_flag"
     22201                         || test ! -s conftest.err'
     22202  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22203  (eval $ac_try) 2>&5
     22204  ac_status=$?
     22205  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22206  (exit $ac_status); }; } &&
     22207         { ac_try='test -s conftest$ac_exeext'
     22208  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22209  (eval $ac_try) 2>&5
     22210  ac_status=$?
     22211  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22212  (exit $ac_status); }; }; then
     22213  flink_try=yes
     22214else
     22215  echo "$as_me: failed program was:" >&5
     22216sed 's/^/| /' conftest.$ac_ext >&5
     22217
     22218flink_try=no
     22219fi
     22220rm -f conftest.err conftest.$ac_objext \
     22221      conftest$ac_exeext conftest.$ac_ext
     22222    fi
     22223    if test $flink_try = yes; then
     22224      echo "$as_me:$LINENO: result: yes" >&5
     22225echo "${ECHO_T}yes" >&6
     22226                         use_blas=-lcomplib.sgimath;
     22227                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22228    else
     22229      if test x"$FLIBS" != x; then
     22230        flink_save_libs="$LIBS"
     22231        LIBS="$LIBS $FLIBS"
     22232        cat >conftest.$ac_ext <<_ACEOF
     22233/* confdefs.h.  */
     22234_ACEOF
     22235cat confdefs.h >>conftest.$ac_ext
     22236cat >>conftest.$ac_ext <<_ACEOF
     22237/* end confdefs.h.  */
     22238extern "C" {void $cfuncdaxpy();}
     22239#ifdef F77_DUMMY_MAIN
     22240
     22241#  ifdef __cplusplus
     22242     extern "C"
     22243#  endif
     22244   int F77_DUMMY_MAIN() { return 1; }
     22245
     22246#endif
     22247int
     22248main ()
     22249{
     22250$cfuncdaxpy()
     22251  ;
     22252  return 0;
     22253}
     22254_ACEOF
     22255rm -f conftest.$ac_objext conftest$ac_exeext
     22256if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22257  (eval $ac_link) 2>conftest.er1
     22258  ac_status=$?
     22259  grep -v '^ *+' conftest.er1 >conftest.err
     22260  rm -f conftest.er1
     22261  cat conftest.err >&5
     22262  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22263  (exit $ac_status); } &&
     22264         { ac_try='test -z "$ac_c_werror_flag"
     22265                         || test ! -s conftest.err'
     22266  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22267  (eval $ac_try) 2>&5
     22268  ac_status=$?
     22269  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22270  (exit $ac_status); }; } &&
     22271         { ac_try='test -s conftest$ac_exeext'
     22272  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22273  (eval $ac_try) 2>&5
     22274  ac_status=$?
     22275  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22276  (exit $ac_status); }; }; then
     22277  LIBS="$flink_save_libs"
     22278                     echo "$as_me:$LINENO: result: yes" >&5
     22279echo "${ECHO_T}yes" >&6
     22280                         use_blas=-lcomplib.sgimath;
     22281                         ADDLIBS="-lcomplib.sgimath $ADDLIBS"
     22282                     coin_need_flibs=yes
     22283else
     22284  echo "$as_me: failed program was:" >&5
     22285sed 's/^/| /' conftest.$ac_ext >&5
     22286
     22287LIBS="$flink_save_libs"
     22288                     echo "$as_me:$LINENO: result: no" >&5
     22289echo "${ECHO_T}no" >&6
     22290                         SAVE_LIBS="$LIBS"
     22291fi
     22292rm -f conftest.err conftest.$ac_objext \
     22293      conftest$ac_exeext conftest.$ac_ext
     22294      else
     22295        echo "$as_me:$LINENO: result: no" >&5
     22296echo "${ECHO_T}no" >&6
     22297                         SAVE_LIBS="$LIBS"
     22298      fi
     22299    fi
     22300    ;;
     22301esac
     22302
     22303      ;;
     22304
     22305# Ideally, we'd use -library=sunperf, but it's an imperfect world. Studio
     22306# cc doesn't recognise -library, it wants -xlic_lib. Studio 12 CC doesn't
     22307# recognise -xlic_lib. Libtool doesn't like -xlic_lib anyway. Sun claims
     22308# that CC and cc will understand -library in Studio 13. The main extra
     22309# function of -xlic_lib and -library is to arrange for the Fortran run-time
     22310# libraries to be linked for C++ and C. We can arrange that explicitly.
     22311    *-*-solaris*)
     22312      SAVE_LIBS="$LIBS"
     22313      echo "$as_me:$LINENO: checking for BLAS in libsunperf" >&5
     22314echo $ECHO_N "checking for BLAS in libsunperf... $ECHO_C" >&6
     22315      LIBS="-lsunperf $FLIBS $LIBS"
     22316      case $ac_ext in
     22317  f)
     22318    cat >conftest.$ac_ext <<_ACEOF
     22319/* confdefs.h.  */
     22320_ACEOF
     22321cat confdefs.h >>conftest.$ac_ext
     22322cat >>conftest.$ac_ext <<_ACEOF
     22323/* end confdefs.h.  */
     22324
     22325#ifdef F77_DUMMY_MAIN
     22326
     22327#  ifdef __cplusplus
     22328     extern "C"
     22329#  endif
     22330   int F77_DUMMY_MAIN() { return 1; }
     22331
     22332#endif
     22333int
     22334main ()
     22335{
     22336      call daxpy
     22337  ;
     22338  return 0;
     22339}
     22340_ACEOF
     22341rm -f conftest.$ac_objext conftest$ac_exeext
     22342if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22343  (eval $ac_link) 2>conftest.er1
     22344  ac_status=$?
     22345  grep -v '^ *+' conftest.er1 >conftest.err
     22346  rm -f conftest.er1
     22347  cat conftest.err >&5
     22348  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22349  (exit $ac_status); } &&
     22350         { ac_try='test -z "$ac_c_werror_flag"
     22351                         || test ! -s conftest.err'
     22352  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22353  (eval $ac_try) 2>&5
     22354  ac_status=$?
     22355  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22356  (exit $ac_status); }; } &&
     22357         { ac_try='test -s conftest$ac_exeext'
     22358  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22359  (eval $ac_try) 2>&5
     22360  ac_status=$?
     22361  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22362  (exit $ac_status); }; }; then
     22363  echo "$as_me:$LINENO: result: yes" >&5
     22364echo "${ECHO_T}yes" >&6
     22365                         use_blas='-lsunperf'
     22366                         ADDLIBS="-lsunperf $ADDLIBS"
     22367                         coin_need_flibs=yes
     22368else
     22369  echo "$as_me: failed program was:" >&5
     22370sed 's/^/| /' conftest.$ac_ext >&5
     22371
     22372echo "$as_me:$LINENO: result: no" >&5
     22373echo "${ECHO_T}no" >&6
     22374                         LIBS="$SAVE_LIBS"
     22375fi
     22376rm -f conftest.err conftest.$ac_objext \
     22377      conftest$ac_exeext conftest.$ac_ext
     22378    ;;
     22379  c)
     22380    ac_ext=f
     22381ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22382ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22383ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22384case $ac_cv_f77_mangling in
     22385  upper*) ac_val="DAXPY" ;;
     22386  lower*) ac_val="daxpy" ;;
     22387  *)      ac_val="unknown" ;;
     22388esac
     22389case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22390
     22391cfuncdaxpy="$ac_val"
     22392
     22393ac_ext=c
     22394ac_cpp='$CPP $CPPFLAGS'
     22395ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22396ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22397ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22398
     22399    if test x"$coin_need_flibs" = xyes; then
     22400      flink_try=no;
     22401    else
     22402      cat >conftest.$ac_ext <<_ACEOF
     22403/* confdefs.h.  */
     22404_ACEOF
     22405cat confdefs.h >>conftest.$ac_ext
     22406cat >>conftest.$ac_ext <<_ACEOF
     22407/* end confdefs.h.  */
     22408void $cfuncdaxpy();
     22409#ifdef F77_DUMMY_MAIN
     22410
     22411#  ifdef __cplusplus
     22412     extern "C"
     22413#  endif
     22414   int F77_DUMMY_MAIN() { return 1; }
     22415
     22416#endif
     22417int
     22418main ()
     22419{
     22420$cfuncdaxpy()
     22421  ;
     22422  return 0;
     22423}
     22424_ACEOF
     22425rm -f conftest.$ac_objext conftest$ac_exeext
     22426if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22427  (eval $ac_link) 2>conftest.er1
     22428  ac_status=$?
     22429  grep -v '^ *+' conftest.er1 >conftest.err
     22430  rm -f conftest.er1
     22431  cat conftest.err >&5
     22432  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22433  (exit $ac_status); } &&
     22434         { ac_try='test -z "$ac_c_werror_flag"
     22435                         || test ! -s conftest.err'
     22436  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22437  (eval $ac_try) 2>&5
     22438  ac_status=$?
     22439  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22440  (exit $ac_status); }; } &&
     22441         { ac_try='test -s conftest$ac_exeext'
     22442  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22443  (eval $ac_try) 2>&5
     22444  ac_status=$?
     22445  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22446  (exit $ac_status); }; }; then
     22447  flink_try=yes
     22448else
     22449  echo "$as_me: failed program was:" >&5
     22450sed 's/^/| /' conftest.$ac_ext >&5
     22451
     22452flink_try=no
     22453fi
     22454rm -f conftest.err conftest.$ac_objext \
     22455      conftest$ac_exeext conftest.$ac_ext
     22456    fi
     22457    if test $flink_try = yes; then
     22458      echo "$as_me:$LINENO: result: yes" >&5
     22459echo "${ECHO_T}yes" >&6
     22460                         use_blas='-lsunperf'
     22461                         ADDLIBS="-lsunperf $ADDLIBS"
     22462                         coin_need_flibs=yes
     22463    else
     22464      if test x"$FLIBS" != x; then
     22465        flink_save_libs="$LIBS"
     22466        LIBS="$LIBS $FLIBS"
     22467        cat >conftest.$ac_ext <<_ACEOF
     22468/* confdefs.h.  */
     22469_ACEOF
     22470cat confdefs.h >>conftest.$ac_ext
     22471cat >>conftest.$ac_ext <<_ACEOF
     22472/* end confdefs.h.  */
     22473void $cfuncdaxpy();
     22474#ifdef F77_DUMMY_MAIN
     22475
     22476#  ifdef __cplusplus
     22477     extern "C"
     22478#  endif
     22479   int F77_DUMMY_MAIN() { return 1; }
     22480
     22481#endif
     22482int
     22483main ()
     22484{
     22485$cfuncdaxpy()
     22486  ;
     22487  return 0;
     22488}
     22489_ACEOF
     22490rm -f conftest.$ac_objext conftest$ac_exeext
     22491if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22492  (eval $ac_link) 2>conftest.er1
     22493  ac_status=$?
     22494  grep -v '^ *+' conftest.er1 >conftest.err
     22495  rm -f conftest.er1
     22496  cat conftest.err >&5
     22497  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22498  (exit $ac_status); } &&
     22499         { ac_try='test -z "$ac_c_werror_flag"
     22500                         || test ! -s conftest.err'
     22501  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22502  (eval $ac_try) 2>&5
     22503  ac_status=$?
     22504  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22505  (exit $ac_status); }; } &&
     22506         { ac_try='test -s conftest$ac_exeext'
     22507  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22508  (eval $ac_try) 2>&5
     22509  ac_status=$?
     22510  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22511  (exit $ac_status); }; }; then
     22512  LIBS="$flink_save_libs"
     22513                     echo "$as_me:$LINENO: result: yes" >&5
     22514echo "${ECHO_T}yes" >&6
     22515                         use_blas='-lsunperf'
     22516                         ADDLIBS="-lsunperf $ADDLIBS"
     22517                         coin_need_flibs=yes
     22518                     coin_need_flibs=yes
     22519else
     22520  echo "$as_me: failed program was:" >&5
     22521sed 's/^/| /' conftest.$ac_ext >&5
     22522
     22523LIBS="$flink_save_libs"
     22524                     echo "$as_me:$LINENO: result: no" >&5
     22525echo "${ECHO_T}no" >&6
     22526                         LIBS="$SAVE_LIBS"
     22527fi
     22528rm -f conftest.err conftest.$ac_objext \
     22529      conftest$ac_exeext conftest.$ac_ext
     22530      else
     22531        echo "$as_me:$LINENO: result: no" >&5
     22532echo "${ECHO_T}no" >&6
     22533                         LIBS="$SAVE_LIBS"
     22534      fi
     22535    fi
     22536    ;;
     22537  cc|cpp)
     22538    ac_ext=f
     22539ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22540ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22541ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22542case $ac_cv_f77_mangling in
     22543  upper*) ac_val="DAXPY" ;;
     22544  lower*) ac_val="daxpy" ;;
     22545  *)      ac_val="unknown" ;;
     22546esac
     22547case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22548
     22549cfuncdaxpy="$ac_val"
     22550
     22551ac_ext=c
     22552ac_cpp='$CPP $CPPFLAGS'
     22553ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22554ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22555ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22556
     22557    if test x"$coin_need_flibs" = xyes; then
     22558      flink_try=no;
     22559    else
     22560      cat >conftest.$ac_ext <<_ACEOF
     22561/* confdefs.h.  */
     22562_ACEOF
     22563cat confdefs.h >>conftest.$ac_ext
     22564cat >>conftest.$ac_ext <<_ACEOF
     22565/* end confdefs.h.  */
     22566extern "C" {void $cfuncdaxpy();}
     22567#ifdef F77_DUMMY_MAIN
     22568
     22569#  ifdef __cplusplus
     22570     extern "C"
     22571#  endif
     22572   int F77_DUMMY_MAIN() { return 1; }
     22573
     22574#endif
     22575int
     22576main ()
     22577{
     22578$cfuncdaxpy()
     22579  ;
     22580  return 0;
     22581}
     22582_ACEOF
     22583rm -f conftest.$ac_objext conftest$ac_exeext
     22584if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22585  (eval $ac_link) 2>conftest.er1
     22586  ac_status=$?
     22587  grep -v '^ *+' conftest.er1 >conftest.err
     22588  rm -f conftest.er1
     22589  cat conftest.err >&5
     22590  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22591  (exit $ac_status); } &&
     22592         { ac_try='test -z "$ac_c_werror_flag"
     22593                         || test ! -s conftest.err'
     22594  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22595  (eval $ac_try) 2>&5
     22596  ac_status=$?
     22597  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22598  (exit $ac_status); }; } &&
     22599         { ac_try='test -s conftest$ac_exeext'
     22600  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22601  (eval $ac_try) 2>&5
     22602  ac_status=$?
     22603  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22604  (exit $ac_status); }; }; then
     22605  flink_try=yes
     22606else
     22607  echo "$as_me: failed program was:" >&5
     22608sed 's/^/| /' conftest.$ac_ext >&5
     22609
     22610flink_try=no
     22611fi
     22612rm -f conftest.err conftest.$ac_objext \
     22613      conftest$ac_exeext conftest.$ac_ext
     22614    fi
     22615    if test $flink_try = yes; then
     22616      echo "$as_me:$LINENO: result: yes" >&5
     22617echo "${ECHO_T}yes" >&6
     22618                         use_blas='-lsunperf'
     22619                         ADDLIBS="-lsunperf $ADDLIBS"
     22620                         coin_need_flibs=yes
     22621    else
     22622      if test x"$FLIBS" != x; then
     22623        flink_save_libs="$LIBS"
     22624        LIBS="$LIBS $FLIBS"
     22625        cat >conftest.$ac_ext <<_ACEOF
     22626/* confdefs.h.  */
     22627_ACEOF
     22628cat confdefs.h >>conftest.$ac_ext
     22629cat >>conftest.$ac_ext <<_ACEOF
     22630/* end confdefs.h.  */
     22631extern "C" {void $cfuncdaxpy();}
     22632#ifdef F77_DUMMY_MAIN
     22633
     22634#  ifdef __cplusplus
     22635     extern "C"
     22636#  endif
     22637   int F77_DUMMY_MAIN() { return 1; }
     22638
     22639#endif
     22640int
     22641main ()
     22642{
     22643$cfuncdaxpy()
     22644  ;
     22645  return 0;
     22646}
     22647_ACEOF
     22648rm -f conftest.$ac_objext conftest$ac_exeext
     22649if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22650  (eval $ac_link) 2>conftest.er1
     22651  ac_status=$?
     22652  grep -v '^ *+' conftest.er1 >conftest.err
     22653  rm -f conftest.er1
     22654  cat conftest.err >&5
     22655  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22656  (exit $ac_status); } &&
     22657         { ac_try='test -z "$ac_c_werror_flag"
     22658                         || test ! -s conftest.err'
     22659  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22660  (eval $ac_try) 2>&5
     22661  ac_status=$?
     22662  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22663  (exit $ac_status); }; } &&
     22664         { ac_try='test -s conftest$ac_exeext'
     22665  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22666  (eval $ac_try) 2>&5
     22667  ac_status=$?
     22668  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22669  (exit $ac_status); }; }; then
     22670  LIBS="$flink_save_libs"
     22671                     echo "$as_me:$LINENO: result: yes" >&5
     22672echo "${ECHO_T}yes" >&6
     22673                         use_blas='-lsunperf'
     22674                         ADDLIBS="-lsunperf $ADDLIBS"
     22675                         coin_need_flibs=yes
     22676                     coin_need_flibs=yes
     22677else
     22678  echo "$as_me: failed program was:" >&5
     22679sed 's/^/| /' conftest.$ac_ext >&5
     22680
     22681LIBS="$flink_save_libs"
     22682                     echo "$as_me:$LINENO: result: no" >&5
     22683echo "${ECHO_T}no" >&6
     22684                         LIBS="$SAVE_LIBS"
     22685fi
     22686rm -f conftest.err conftest.$ac_objext \
     22687      conftest$ac_exeext conftest.$ac_ext
     22688      else
     22689        echo "$as_me:$LINENO: result: no" >&5
     22690echo "${ECHO_T}no" >&6
     22691                         LIBS="$SAVE_LIBS"
     22692      fi
     22693    fi
     22694    ;;
     22695esac
     22696
     22697      ;;
     22698    *-cygwin* | *-mingw*)
     22699# On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
     22700# library will want to link with cygwin, hence won't run standalone in DOS.
     22701      if test "$enable_doscompile" = mingw; then
     22702        skip_lblas_check=yes
     22703      fi
     22704      case "$CC" in
     22705        cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     22706          SAVE_LIBS="$LIBS"
     22707          echo "$as_me:$LINENO: checking for BLAS in MKL" >&5
     22708echo $ECHO_N "checking for BLAS in MKL... $ECHO_C" >&6
     22709          LIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $LIBS"
     22710          case $ac_ext in
     22711  f)
     22712    cat >conftest.$ac_ext <<_ACEOF
     22713/* confdefs.h.  */
     22714_ACEOF
     22715cat confdefs.h >>conftest.$ac_ext
     22716cat >>conftest.$ac_ext <<_ACEOF
     22717/* end confdefs.h.  */
     22718
     22719#ifdef F77_DUMMY_MAIN
     22720
     22721#  ifdef __cplusplus
     22722     extern "C"
     22723#  endif
     22724   int F77_DUMMY_MAIN() { return 1; }
     22725
     22726#endif
     22727int
     22728main ()
     22729{
     22730      call daxpy
     22731  ;
     22732  return 0;
     22733}
     22734_ACEOF
     22735rm -f conftest.$ac_objext conftest$ac_exeext
     22736if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22737  (eval $ac_link) 2>conftest.er1
     22738  ac_status=$?
     22739  grep -v '^ *+' conftest.er1 >conftest.err
     22740  rm -f conftest.er1
     22741  cat conftest.err >&5
     22742  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22743  (exit $ac_status); } &&
     22744         { ac_try='test -z "$ac_c_werror_flag"
     22745                         || test ! -s conftest.err'
     22746  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22747  (eval $ac_try) 2>&5
     22748  ac_status=$?
     22749  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22750  (exit $ac_status); }; } &&
     22751         { ac_try='test -s conftest$ac_exeext'
     22752  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22753  (eval $ac_try) 2>&5
     22754  ac_status=$?
     22755  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22756  (exit $ac_status); }; }; then
     22757  echo "$as_me:$LINENO: result: yes" >&5
     22758echo "${ECHO_T}yes" >&6
     22759                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22760                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22761else
     22762  echo "$as_me: failed program was:" >&5
     22763sed 's/^/| /' conftest.$ac_ext >&5
     22764
     22765echo "$as_me:$LINENO: result: no" >&5
     22766echo "${ECHO_T}no" >&6
     22767                             LIBS="$SAVE_LIBS"
     22768fi
     22769rm -f conftest.err conftest.$ac_objext \
     22770      conftest$ac_exeext conftest.$ac_ext
     22771    ;;
     22772  c)
     22773    ac_ext=f
     22774ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22775ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22776ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22777case $ac_cv_f77_mangling in
     22778  upper*) ac_val="DAXPY" ;;
     22779  lower*) ac_val="daxpy" ;;
     22780  *)      ac_val="unknown" ;;
     22781esac
     22782case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22783
     22784cfuncdaxpy="$ac_val"
     22785
     22786ac_ext=c
     22787ac_cpp='$CPP $CPPFLAGS'
     22788ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22789ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22790ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22791
     22792    if test x"$coin_need_flibs" = xyes; then
     22793      flink_try=no;
     22794    else
     22795      cat >conftest.$ac_ext <<_ACEOF
     22796/* confdefs.h.  */
     22797_ACEOF
     22798cat confdefs.h >>conftest.$ac_ext
     22799cat >>conftest.$ac_ext <<_ACEOF
     22800/* end confdefs.h.  */
     22801void $cfuncdaxpy();
     22802#ifdef F77_DUMMY_MAIN
     22803
     22804#  ifdef __cplusplus
     22805     extern "C"
     22806#  endif
     22807   int F77_DUMMY_MAIN() { return 1; }
     22808
     22809#endif
     22810int
     22811main ()
     22812{
     22813$cfuncdaxpy()
     22814  ;
     22815  return 0;
     22816}
     22817_ACEOF
     22818rm -f conftest.$ac_objext conftest$ac_exeext
     22819if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22820  (eval $ac_link) 2>conftest.er1
     22821  ac_status=$?
     22822  grep -v '^ *+' conftest.er1 >conftest.err
     22823  rm -f conftest.er1
     22824  cat conftest.err >&5
     22825  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22826  (exit $ac_status); } &&
     22827         { ac_try='test -z "$ac_c_werror_flag"
     22828                         || test ! -s conftest.err'
     22829  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22830  (eval $ac_try) 2>&5
     22831  ac_status=$?
     22832  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22833  (exit $ac_status); }; } &&
     22834         { ac_try='test -s conftest$ac_exeext'
     22835  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22836  (eval $ac_try) 2>&5
     22837  ac_status=$?
     22838  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22839  (exit $ac_status); }; }; then
     22840  flink_try=yes
     22841else
     22842  echo "$as_me: failed program was:" >&5
     22843sed 's/^/| /' conftest.$ac_ext >&5
     22844
     22845flink_try=no
     22846fi
     22847rm -f conftest.err conftest.$ac_objext \
     22848      conftest$ac_exeext conftest.$ac_ext
     22849    fi
     22850    if test $flink_try = yes; then
     22851      echo "$as_me:$LINENO: result: yes" >&5
     22852echo "${ECHO_T}yes" >&6
     22853                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22854                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22855    else
     22856      if test x"$FLIBS" != x; then
     22857        flink_save_libs="$LIBS"
     22858        LIBS="$LIBS $FLIBS"
     22859        cat >conftest.$ac_ext <<_ACEOF
     22860/* confdefs.h.  */
     22861_ACEOF
     22862cat confdefs.h >>conftest.$ac_ext
     22863cat >>conftest.$ac_ext <<_ACEOF
     22864/* end confdefs.h.  */
     22865void $cfuncdaxpy();
     22866#ifdef F77_DUMMY_MAIN
     22867
     22868#  ifdef __cplusplus
     22869     extern "C"
     22870#  endif
     22871   int F77_DUMMY_MAIN() { return 1; }
     22872
     22873#endif
     22874int
     22875main ()
     22876{
     22877$cfuncdaxpy()
     22878  ;
     22879  return 0;
     22880}
     22881_ACEOF
     22882rm -f conftest.$ac_objext conftest$ac_exeext
     22883if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22884  (eval $ac_link) 2>conftest.er1
     22885  ac_status=$?
     22886  grep -v '^ *+' conftest.er1 >conftest.err
     22887  rm -f conftest.er1
     22888  cat conftest.err >&5
     22889  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22890  (exit $ac_status); } &&
     22891         { ac_try='test -z "$ac_c_werror_flag"
     22892                         || test ! -s conftest.err'
     22893  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22894  (eval $ac_try) 2>&5
     22895  ac_status=$?
     22896  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22897  (exit $ac_status); }; } &&
     22898         { ac_try='test -s conftest$ac_exeext'
     22899  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22900  (eval $ac_try) 2>&5
     22901  ac_status=$?
     22902  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22903  (exit $ac_status); }; }; then
     22904  LIBS="$flink_save_libs"
     22905                     echo "$as_me:$LINENO: result: yes" >&5
     22906echo "${ECHO_T}yes" >&6
     22907                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     22908                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     22909                     coin_need_flibs=yes
     22910else
     22911  echo "$as_me: failed program was:" >&5
     22912sed 's/^/| /' conftest.$ac_ext >&5
     22913
     22914LIBS="$flink_save_libs"
     22915                     echo "$as_me:$LINENO: result: no" >&5
     22916echo "${ECHO_T}no" >&6
     22917                             LIBS="$SAVE_LIBS"
     22918fi
     22919rm -f conftest.err conftest.$ac_objext \
     22920      conftest$ac_exeext conftest.$ac_ext
     22921      else
     22922        echo "$as_me:$LINENO: result: no" >&5
     22923echo "${ECHO_T}no" >&6
     22924                             LIBS="$SAVE_LIBS"
     22925      fi
     22926    fi
     22927    ;;
     22928  cc|cpp)
     22929    ac_ext=f
     22930ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     22931ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22932ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     22933case $ac_cv_f77_mangling in
     22934  upper*) ac_val="DAXPY" ;;
     22935  lower*) ac_val="daxpy" ;;
     22936  *)      ac_val="unknown" ;;
     22937esac
     22938case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     22939
     22940cfuncdaxpy="$ac_val"
     22941
     22942ac_ext=c
     22943ac_cpp='$CPP $CPPFLAGS'
     22944ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     22945ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     22946ac_compiler_gnu=$ac_cv_c_compiler_gnu
     22947
     22948    if test x"$coin_need_flibs" = xyes; then
     22949      flink_try=no;
     22950    else
     22951      cat >conftest.$ac_ext <<_ACEOF
     22952/* confdefs.h.  */
     22953_ACEOF
     22954cat confdefs.h >>conftest.$ac_ext
     22955cat >>conftest.$ac_ext <<_ACEOF
     22956/* end confdefs.h.  */
     22957extern "C" {void $cfuncdaxpy();}
     22958#ifdef F77_DUMMY_MAIN
     22959
     22960#  ifdef __cplusplus
     22961     extern "C"
     22962#  endif
     22963   int F77_DUMMY_MAIN() { return 1; }
     22964
     22965#endif
     22966int
     22967main ()
     22968{
     22969$cfuncdaxpy()
     22970  ;
     22971  return 0;
     22972}
     22973_ACEOF
     22974rm -f conftest.$ac_objext conftest$ac_exeext
     22975if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     22976  (eval $ac_link) 2>conftest.er1
     22977  ac_status=$?
     22978  grep -v '^ *+' conftest.er1 >conftest.err
     22979  rm -f conftest.er1
     22980  cat conftest.err >&5
     22981  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22982  (exit $ac_status); } &&
     22983         { ac_try='test -z "$ac_c_werror_flag"
     22984                         || test ! -s conftest.err'
     22985  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22986  (eval $ac_try) 2>&5
     22987  ac_status=$?
     22988  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22989  (exit $ac_status); }; } &&
     22990         { ac_try='test -s conftest$ac_exeext'
     22991  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     22992  (eval $ac_try) 2>&5
     22993  ac_status=$?
     22994  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     22995  (exit $ac_status); }; }; then
     22996  flink_try=yes
     22997else
     22998  echo "$as_me: failed program was:" >&5
     22999sed 's/^/| /' conftest.$ac_ext >&5
     23000
     23001flink_try=no
     23002fi
     23003rm -f conftest.err conftest.$ac_objext \
     23004      conftest$ac_exeext conftest.$ac_ext
     23005    fi
     23006    if test $flink_try = yes; then
     23007      echo "$as_me:$LINENO: result: yes" >&5
     23008echo "${ECHO_T}yes" >&6
     23009                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     23010                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     23011    else
     23012      if test x"$FLIBS" != x; then
     23013        flink_save_libs="$LIBS"
     23014        LIBS="$LIBS $FLIBS"
     23015        cat >conftest.$ac_ext <<_ACEOF
     23016/* confdefs.h.  */
     23017_ACEOF
     23018cat confdefs.h >>conftest.$ac_ext
     23019cat >>conftest.$ac_ext <<_ACEOF
     23020/* end confdefs.h.  */
     23021extern "C" {void $cfuncdaxpy();}
     23022#ifdef F77_DUMMY_MAIN
     23023
     23024#  ifdef __cplusplus
     23025     extern "C"
     23026#  endif
     23027   int F77_DUMMY_MAIN() { return 1; }
     23028
     23029#endif
     23030int
     23031main ()
     23032{
     23033$cfuncdaxpy()
     23034  ;
     23035  return 0;
     23036}
     23037_ACEOF
     23038rm -f conftest.$ac_objext conftest$ac_exeext
     23039if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23040  (eval $ac_link) 2>conftest.er1
     23041  ac_status=$?
     23042  grep -v '^ *+' conftest.er1 >conftest.err
     23043  rm -f conftest.er1
     23044  cat conftest.err >&5
     23045  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23046  (exit $ac_status); } &&
     23047         { ac_try='test -z "$ac_c_werror_flag"
     23048                         || test ! -s conftest.err'
     23049  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23050  (eval $ac_try) 2>&5
     23051  ac_status=$?
     23052  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23053  (exit $ac_status); }; } &&
     23054         { ac_try='test -s conftest$ac_exeext'
     23055  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23056  (eval $ac_try) 2>&5
     23057  ac_status=$?
     23058  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23059  (exit $ac_status); }; }; then
     23060  LIBS="$flink_save_libs"
     23061                     echo "$as_me:$LINENO: result: yes" >&5
     23062echo "${ECHO_T}yes" >&6
     23063                             use_blas='mkl_intel_c.lib mkl_sequential.lib mkl_core.lib'
     23064                             ADDLIBS="mkl_intel_c.lib mkl_sequential.lib mkl_core.lib $ADDLIBS"
     23065                     coin_need_flibs=yes
     23066else
     23067  echo "$as_me: failed program was:" >&5
     23068sed 's/^/| /' conftest.$ac_ext >&5
     23069
     23070LIBS="$flink_save_libs"
     23071                     echo "$as_me:$LINENO: result: no" >&5
     23072echo "${ECHO_T}no" >&6
     23073                             LIBS="$SAVE_LIBS"
     23074fi
     23075rm -f conftest.err conftest.$ac_objext \
     23076      conftest$ac_exeext conftest.$ac_ext
     23077      else
     23078        echo "$as_me:$LINENO: result: no" >&5
     23079echo "${ECHO_T}no" >&6
     23080                             LIBS="$SAVE_LIBS"
     23081      fi
     23082    fi
     23083    ;;
     23084esac
     23085
     23086          ;;
     23087      esac
     23088      ;;
     23089  esac
     23090
     23091  if test -z "$use_blas" && test $skip_lblas_check = no; then
     23092    SAVE_LIBS="$LIBS"
     23093    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
     23094echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     23095    LIBS="-lblas $LIBS"
     23096    case $ac_ext in
     23097  f)
     23098    cat >conftest.$ac_ext <<_ACEOF
     23099/* confdefs.h.  */
     23100_ACEOF
     23101cat confdefs.h >>conftest.$ac_ext
     23102cat >>conftest.$ac_ext <<_ACEOF
     23103/* end confdefs.h.  */
     23104
     23105#ifdef F77_DUMMY_MAIN
     23106
     23107#  ifdef __cplusplus
     23108     extern "C"
     23109#  endif
     23110   int F77_DUMMY_MAIN() { return 1; }
     23111
     23112#endif
     23113int
     23114main ()
     23115{
     23116      call daxpy
     23117  ;
     23118  return 0;
     23119}
     23120_ACEOF
     23121rm -f conftest.$ac_objext conftest$ac_exeext
     23122if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23123  (eval $ac_link) 2>conftest.er1
     23124  ac_status=$?
     23125  grep -v '^ *+' conftest.er1 >conftest.err
     23126  rm -f conftest.er1
     23127  cat conftest.err >&5
     23128  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23129  (exit $ac_status); } &&
     23130         { ac_try='test -z "$ac_c_werror_flag"
     23131                         || test ! -s conftest.err'
     23132  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23133  (eval $ac_try) 2>&5
     23134  ac_status=$?
     23135  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23136  (exit $ac_status); }; } &&
     23137         { ac_try='test -s conftest$ac_exeext'
     23138  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23139  (eval $ac_try) 2>&5
     23140  ac_status=$?
     23141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23142  (exit $ac_status); }; }; then
     23143  echo "$as_me:$LINENO: result: yes" >&5
     23144echo "${ECHO_T}yes" >&6
     23145                       ADDLIBS="-lblas $ADDLIBS"
     23146                       use_blas='-lblas'
     23147else
     23148  echo "$as_me: failed program was:" >&5
     23149sed 's/^/| /' conftest.$ac_ext >&5
     23150
     23151echo "$as_me:$LINENO: result: no" >&5
     23152echo "${ECHO_T}no" >&6
     23153                       LIBS="$SAVE_LIBS"
     23154fi
     23155rm -f conftest.err conftest.$ac_objext \
     23156      conftest$ac_exeext conftest.$ac_ext
     23157    ;;
     23158  c)
     23159    ac_ext=f
     23160ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     23161ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23162ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23163case $ac_cv_f77_mangling in
     23164  upper*) ac_val="DAXPY" ;;
     23165  lower*) ac_val="daxpy" ;;
     23166  *)      ac_val="unknown" ;;
     23167esac
     23168case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     23169
     23170cfuncdaxpy="$ac_val"
     23171
     23172ac_ext=c
     23173ac_cpp='$CPP $CPPFLAGS'
     23174ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23175ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23176ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23177
     23178    if test x"$coin_need_flibs" = xyes; then
     23179      flink_try=no;
     23180    else
     23181      cat >conftest.$ac_ext <<_ACEOF
     23182/* confdefs.h.  */
     23183_ACEOF
     23184cat confdefs.h >>conftest.$ac_ext
     23185cat >>conftest.$ac_ext <<_ACEOF
     23186/* end confdefs.h.  */
     23187void $cfuncdaxpy();
     23188#ifdef F77_DUMMY_MAIN
     23189
     23190#  ifdef __cplusplus
     23191     extern "C"
     23192#  endif
     23193   int F77_DUMMY_MAIN() { return 1; }
     23194
     23195#endif
     23196int
     23197main ()
     23198{
     23199$cfuncdaxpy()
     23200  ;
     23201  return 0;
     23202}
     23203_ACEOF
     23204rm -f conftest.$ac_objext conftest$ac_exeext
     23205if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23206  (eval $ac_link) 2>conftest.er1
     23207  ac_status=$?
     23208  grep -v '^ *+' conftest.er1 >conftest.err
     23209  rm -f conftest.er1
     23210  cat conftest.err >&5
     23211  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23212  (exit $ac_status); } &&
     23213         { ac_try='test -z "$ac_c_werror_flag"
     23214                         || test ! -s conftest.err'
     23215  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23216  (eval $ac_try) 2>&5
     23217  ac_status=$?
     23218  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23219  (exit $ac_status); }; } &&
     23220         { ac_try='test -s conftest$ac_exeext'
     23221  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23222  (eval $ac_try) 2>&5
     23223  ac_status=$?
     23224  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23225  (exit $ac_status); }; }; then
     23226  flink_try=yes
     23227else
     23228  echo "$as_me: failed program was:" >&5
     23229sed 's/^/| /' conftest.$ac_ext >&5
     23230
     23231flink_try=no
     23232fi
     23233rm -f conftest.err conftest.$ac_objext \
     23234      conftest$ac_exeext conftest.$ac_ext
     23235    fi
     23236    if test $flink_try = yes; then
     23237      echo "$as_me:$LINENO: result: yes" >&5
     23238echo "${ECHO_T}yes" >&6
     23239                       ADDLIBS="-lblas $ADDLIBS"
     23240                       use_blas='-lblas'
     23241    else
     23242      if test x"$FLIBS" != x; then
     23243        flink_save_libs="$LIBS"
     23244        LIBS="$LIBS $FLIBS"
     23245        cat >conftest.$ac_ext <<_ACEOF
     23246/* confdefs.h.  */
     23247_ACEOF
     23248cat confdefs.h >>conftest.$ac_ext
     23249cat >>conftest.$ac_ext <<_ACEOF
     23250/* end confdefs.h.  */
     23251void $cfuncdaxpy();
     23252#ifdef F77_DUMMY_MAIN
     23253
     23254#  ifdef __cplusplus
     23255     extern "C"
     23256#  endif
     23257   int F77_DUMMY_MAIN() { return 1; }
     23258
     23259#endif
     23260int
     23261main ()
     23262{
     23263$cfuncdaxpy()
     23264  ;
     23265  return 0;
     23266}
     23267_ACEOF
     23268rm -f conftest.$ac_objext conftest$ac_exeext
     23269if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23270  (eval $ac_link) 2>conftest.er1
     23271  ac_status=$?
     23272  grep -v '^ *+' conftest.er1 >conftest.err
     23273  rm -f conftest.er1
     23274  cat conftest.err >&5
     23275  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23276  (exit $ac_status); } &&
     23277         { ac_try='test -z "$ac_c_werror_flag"
     23278                         || test ! -s conftest.err'
     23279  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23280  (eval $ac_try) 2>&5
     23281  ac_status=$?
     23282  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23283  (exit $ac_status); }; } &&
     23284         { ac_try='test -s conftest$ac_exeext'
     23285  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23286  (eval $ac_try) 2>&5
     23287  ac_status=$?
     23288  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23289  (exit $ac_status); }; }; then
     23290  LIBS="$flink_save_libs"
     23291                     echo "$as_me:$LINENO: result: yes" >&5
     23292echo "${ECHO_T}yes" >&6
     23293                       ADDLIBS="-lblas $ADDLIBS"
     23294                       use_blas='-lblas'
     23295                     coin_need_flibs=yes
     23296else
     23297  echo "$as_me: failed program was:" >&5
     23298sed 's/^/| /' conftest.$ac_ext >&5
     23299
     23300LIBS="$flink_save_libs"
     23301                     echo "$as_me:$LINENO: result: no" >&5
     23302echo "${ECHO_T}no" >&6
     23303                       LIBS="$SAVE_LIBS"
     23304fi
     23305rm -f conftest.err conftest.$ac_objext \
     23306      conftest$ac_exeext conftest.$ac_ext
     23307      else
     23308        echo "$as_me:$LINENO: result: no" >&5
     23309echo "${ECHO_T}no" >&6
     23310                       LIBS="$SAVE_LIBS"
     23311      fi
     23312    fi
     23313    ;;
     23314  cc|cpp)
     23315    ac_ext=f
     23316ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     23317ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23318ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     23319case $ac_cv_f77_mangling in
     23320  upper*) ac_val="DAXPY" ;;
     23321  lower*) ac_val="daxpy" ;;
     23322  *)      ac_val="unknown" ;;
     23323esac
     23324case $ac_cv_f77_mangling in *," underscore"*) ac_val="$ac_val"_ ;; esac
     23325
     23326cfuncdaxpy="$ac_val"
     23327
     23328ac_ext=c
     23329ac_cpp='$CPP $CPPFLAGS'
     23330ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     23331ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     23332ac_compiler_gnu=$ac_cv_c_compiler_gnu
     23333
     23334    if test x"$coin_need_flibs" = xyes; then
     23335      flink_try=no;
     23336    else
     23337      cat >conftest.$ac_ext <<_ACEOF
     23338/* confdefs.h.  */
     23339_ACEOF
     23340cat confdefs.h >>conftest.$ac_ext
     23341cat >>conftest.$ac_ext <<_ACEOF
     23342/* end confdefs.h.  */
     23343extern "C" {void $cfuncdaxpy();}
     23344#ifdef F77_DUMMY_MAIN
     23345
     23346#  ifdef __cplusplus
     23347     extern "C"
     23348#  endif
     23349   int F77_DUMMY_MAIN() { return 1; }
     23350
     23351#endif
     23352int
     23353main ()
     23354{
     23355$cfuncdaxpy()
     23356  ;
     23357  return 0;
     23358}
     23359_ACEOF
     23360rm -f conftest.$ac_objext conftest$ac_exeext
     23361if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23362  (eval $ac_link) 2>conftest.er1
     23363  ac_status=$?
     23364  grep -v '^ *+' conftest.er1 >conftest.err
     23365  rm -f conftest.er1
     23366  cat conftest.err >&5
     23367  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23368  (exit $ac_status); } &&
     23369         { ac_try='test -z "$ac_c_werror_flag"
     23370                         || test ! -s conftest.err'
     23371  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23372  (eval $ac_try) 2>&5
     23373  ac_status=$?
     23374  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23375  (exit $ac_status); }; } &&
     23376         { ac_try='test -s conftest$ac_exeext'
     23377  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23378  (eval $ac_try) 2>&5
     23379  ac_status=$?
     23380  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23381  (exit $ac_status); }; }; then
     23382  flink_try=yes
     23383else
     23384  echo "$as_me: failed program was:" >&5
     23385sed 's/^/| /' conftest.$ac_ext >&5
     23386
     23387flink_try=no
     23388fi
     23389rm -f conftest.err conftest.$ac_objext \
     23390      conftest$ac_exeext conftest.$ac_ext
     23391    fi
     23392    if test $flink_try = yes; then
     23393      echo "$as_me:$LINENO: result: yes" >&5
     23394echo "${ECHO_T}yes" >&6
     23395                       ADDLIBS="-lblas $ADDLIBS"
     23396                       use_blas='-lblas'
     23397    else
     23398      if test x"$FLIBS" != x; then
     23399        flink_save_libs="$LIBS"
     23400        LIBS="$LIBS $FLIBS"
     23401        cat >conftest.$ac_ext <<_ACEOF
     23402/* confdefs.h.  */
     23403_ACEOF
     23404cat confdefs.h >>conftest.$ac_ext
     23405cat >>conftest.$ac_ext <<_ACEOF
     23406/* end confdefs.h.  */
     23407extern "C" {void $cfuncdaxpy();}
     23408#ifdef F77_DUMMY_MAIN
     23409
     23410#  ifdef __cplusplus
     23411     extern "C"
     23412#  endif
     23413   int F77_DUMMY_MAIN() { return 1; }
     23414
     23415#endif
     23416int
     23417main ()
     23418{
     23419$cfuncdaxpy()
     23420  ;
     23421  return 0;
     23422}
     23423_ACEOF
     23424rm -f conftest.$ac_objext conftest$ac_exeext
     23425if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     23426  (eval $ac_link) 2>conftest.er1
     23427  ac_status=$?
     23428  grep -v '^ *+' conftest.er1 >conftest.err
     23429  rm -f conftest.er1
     23430  cat conftest.err >&5
     23431  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23432  (exit $ac_status); } &&
     23433         { ac_try='test -z "$ac_c_werror_flag"
     23434                         || test ! -s conftest.err'
     23435  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23436  (eval $ac_try) 2>&5
     23437  ac_status=$?
     23438  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23439  (exit $ac_status); }; } &&
     23440         { ac_try='test -s conftest$ac_exeext'
     23441  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     23442  (eval $ac_try) 2>&5
     23443  ac_status=$?
     23444  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     23445  (exit $ac_status); }; }; then
     23446  LIBS="$flink_save_libs"
     23447                     echo "$as_me:$LINENO: result: yes" >&5
     23448echo "${ECHO_T}yes" >&6
     23449                       ADDLIBS="-lblas $ADDLIBS"
     23450                       use_blas='-lblas'
     23451                     coin_need_flibs=yes
     23452else
     23453  echo "$as_me: failed program was:" >&5
     23454sed 's/^/| /' conftest.$ac_ext >&5
     23455
     23456LIBS="$flink_save_libs"
     23457                     echo "$as_me:$LINENO: result: no" >&5
     23458echo "${ECHO_T}no" >&6
     23459                       LIBS="$SAVE_LIBS"
     23460fi
     23461rm -f conftest.err conftest.$ac_objext \
     23462      conftest$ac_exeext conftest.$ac_ext
     23463      else
     23464        echo "$as_me:$LINENO: result: no" >&5
     23465echo "${ECHO_T}no" >&6
     23466                       LIBS="$SAVE_LIBS"
     23467      fi
     23468    fi
     23469    ;;
     23470esac
     23471
     23472  fi
     23473
     23474# If we have no other ideas, consider building BLAS.
     23475  if test -z "$use_blas"; then
     23476    if test "$PACKAGE_NAME" != ThirdPartyBlas; then
     23477      if test -r $coin_blasobjdir/.MakeOk; then
     23478        use_blas=BUILD
     23479      fi
     23480    fi
     23481  fi
     23482fi
     23483
     23484if test "$use_blas" = BUILD; then
     23485  coin_need_flibs=yes
     23486fi
     23487
     23488
     23489
     23490if test x"$use_blas" != x; then
     23491  COIN_HAS_BLAS_TRUE=
     23492  COIN_HAS_BLAS_FALSE='#'
     23493else
     23494  COIN_HAS_BLAS_TRUE='#'
     23495  COIN_HAS_BLAS_FALSE=
     23496fi
     23497
     23498
     23499
     23500if test "$use_blas" = BUILD; then
     23501  COIN_BUILD_BLAS_TRUE=
     23502  COIN_BUILD_BLAS_FALSE='#'
     23503else
     23504  COIN_BUILD_BLAS_TRUE='#'
     23505  COIN_BUILD_BLAS_FALSE=
     23506fi
     23507
     23508
     23509if test x"$use_blas" = x || test "$use_blas" = no; then
     23510  coin_has_blas=no
     23511else
     23512  coin_has_blas=yes
     23513
     23514cat >>confdefs.h <<\_ACEOF
     23515#define COIN_HAS_BLAS 1
     23516_ACEOF
     23517
     23518fi
     23519
     23520
    2150023521## Check if Mumps is already provided by user
    2150123522
     
    2218124202Usually this means the macro was only invoked conditionally." >&5
    2218224203echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     24204Usually this means the macro was only invoked conditionally." >&2;}
     24205   { (exit 1); exit 1; }; }
     24206fi
     24207if test -z "${COIN_HAS_BLAS_TRUE}" && test -z "${COIN_HAS_BLAS_FALSE}"; then
     24208  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24209Usually this means the macro was only invoked conditionally." >&5
     24210echo "$as_me: error: conditional \"COIN_HAS_BLAS\" was never defined.
     24211Usually this means the macro was only invoked conditionally." >&2;}
     24212   { (exit 1); exit 1; }; }
     24213fi
     24214if test -z "${COIN_BUILD_BLAS_TRUE}" && test -z "${COIN_BUILD_BLAS_FALSE}"; then
     24215  { { echo "$as_me:$LINENO: error: conditional \"COIN_BUILD_BLAS\" was never defined.
     24216Usually this means the macro was only invoked conditionally." >&5
     24217echo "$as_me: error: conditional \"COIN_BUILD_BLAS\" was never defined.
    2218324218Usually this means the macro was only invoked conditionally." >&2;}
    2218424219   { (exit 1); exit 1; }; }
     
    2283724872s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2283824873s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     24874s,@COIN_HAS_BLAS_TRUE@,$COIN_HAS_BLAS_TRUE,;t t
     24875s,@COIN_HAS_BLAS_FALSE@,$COIN_HAS_BLAS_FALSE,;t t
     24876s,@COIN_BUILD_BLAS_TRUE@,$COIN_BUILD_BLAS_TRUE,;t t
     24877s,@COIN_BUILD_BLAS_FALSE@,$COIN_BUILD_BLAS_FALSE,;t t
    2283924878s,@MUMPSINCDIR@,$MUMPSINCDIR,;t t
    2284024879s,@MUMPSLIB@,$MUMPSLIB,;t t
  • ThirdParty/Mumps/stable/1.1/configure.ac

    r1248 r1258  
    8787AC_COIN_CHECK_HEADER([pthread.h],,[MY_DEFS="$MY_DEFS -DWITHOUT_PTHREAD=1"])
    8888
    89 MY_DEFS="$MY_DEFS -DALLOW_NON_INIT"
     89MY_DEFS="$MY_DEFS -DALLOW_NON_INIT -DMUMPS_ARITH=MUMPS_ARITH_d"
    9090AC_SUBST(MY_DEFS)
     91
     92AC_MSG_CHECKING([for additional preprocessor C flags])
     93AC_MSG_RESULT([$MY_DEFS])
    9194
    9295# Initialize automake
    9396AC_COIN_INIT_AUTO_TOOLS
     97
     98# Check for user-provided BLAS library
     99AC_COIN_HAS_BLAS
    94100
    95101## Check if Mumps is already provided by user
Note: See TracChangeset for help on using the changeset viewer.